1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get care history
  • Đơn hàng
    • v1
      • Get by id
      • Get all order
      • Get Passengers Order
      • Create order tour
      • Create order product
      • Create order hotel
      • Create order flight
      • Confirm payment order
      • Cancel order
      • Import Order Flight
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
      • Overview
  • Nhà cung cấp
    • v1
      • Get all suppliers
        GET
      • Get suppliers products
        GET
      • Get all tour guides
        GET
      • Store suppliers products
        POST
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  1. v1

Store suppliers products

POST
/api/v1/suppliers/products

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "supplier_id": 238,
    "name": "Vé Cáp Treo Fansipan (Khứ Hồi)",
    "group_name": "Dịch Vụ Cáp Treo",
    "type_of_service_id": 6,
    "description": "Vé khứ hồi tham quan đỉnh Fansipan bằng cáp treo, áp dụng cho người lớn.",
    "date_range": "01/01/2026 - 31/12/2026",
    "price_in": 750000,
    "vat_type": "inc-vat",
    "status": 1
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/api/v1/suppliers/products' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "supplier_id": 238,
    "name": "Vé Cáp Treo Fansipan (Khứ Hồi)",
    "group_name": "Dịch Vụ Cáp Treo",
    "type_of_service_id": 6,
    "description": "Vé khứ hồi tham quan đỉnh Fansipan bằng cáp treo, áp dụng cho người lớn.",
    "date_range": "01/01/2026 - 31/12/2026",
    "price_in": 750000,
    "vat_type": "inc-vat",
    "status": 1
}'

Responses

🟢201
application/json
Bodyapplication/json

Example
{
    "success": true,
    "message": "string",
    "data": {
        "id": 0,
        "name": "string",
        "code": "string",
        "item_type": "string",
        "type_of_service": {
            "id": 0,
            "name": "string",
            "slug": "string"
        },
        "price_in": 0,
        "price_out": 0,
        "vat_type": "string",
        "description": "string",
        "status": 0,
        "created_at": "string",
        "updated_at": "string",
        "date_range": "string",
        "group_name": "string",
        "parent_id": 0
    }
}
Modified at 2026-06-04 08:39:09
Previous
Get all tour guides
Next
Get all tour
Built with